Bug 204995 - CVE-2006-4482 PHP heap overflow
CVE-2006-4482 PHP heap overflow
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: php (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
source=cve,reported=20060831,public=2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-01 17:43 EDT by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-24 07:54:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-09-01 17:43:06 EDT
+++ This bug was initially created as a clone of Bug #204993 +++

(Description from MITRE)
Multiple heap-based buffer overflows in the (1) str_repeat and (2)
wordwrap functions in ext/standard/string.c in PHP before 5.1.5, when
used on a 64-bit system, have unspecified impact and attack vectors, a
different vulnerability than CVE-2006-1990.

This is the result of using int = size_t * sizt_t where int is 32 bits
and size_t is 64 bits.  The odds of exploiting this remotely are slim
as you would probably have to send 2 gigs of data to a broken app.

http://www.php.net/release_5_1_5.php
http://cvs.php.net/viewvc.cgi/php-src/ext/standard/string.c?r1=1.445.2.14.2.10&r2=1.445.2.14.2.11
Comment 1 Joe Orton 2006-10-24 07:54:36 EDT
Fixed in FEDORA-2006-1024:

http://www.redhat.com/archives/fedora-package-announce/2006-October/msg00028.html

Note You need to log in before you can comment on or make changes to this bug.